package com.goafanti.expenseAccount.bo;

import java.math.BigDecimal;

public class ExpenseCountsBo {

    private String orderNo;
    private String contractNo;
    private String buyerName;

    private String depId;

    private String depName;

    private String  maxDuration ,actualDuration ,exceedDuration;
    private BigDecimal totalAmount;
    private BigDecimal settlementAmount;
    private BigDecimal expenseAmount;
    private Integer expenseCount;
    private Integer peopleCount;
    private Integer rejectCount;
    private BigDecimal paymentAmount;

    private Integer notExamine;
    private Integer days;
    private Integer bidType;

    public Integer getBidType() {
        return bidType;
    }

    public void setBidType(Integer bidType) {
        this.bidType = bidType;
    }

    public String getMaxDuration() {
        return maxDuration;
    }

    public void setMaxDuration(String maxDuration) {
        this.maxDuration = maxDuration;
    }

    public String getActualDuration() {
        return actualDuration;
    }

    public void setActualDuration(String actualDuration) {
        this.actualDuration = actualDuration;
    }

    public String getExceedDuration() {
        return exceedDuration;
    }

    public void setExceedDuration(String exceedDuration) {
        this.exceedDuration = exceedDuration;
    }

    public String getDepId() {
        return depId;
    }

    public void setDepId(String depId) {
        this.depId = depId;
    }

    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }

    public BigDecimal getExpenseAmount() {
        if(expenseAmount == null){
            expenseAmount = BigDecimal.ZERO;
        }
        return expenseAmount;
    }

    public void setExpenseAmount(BigDecimal expenseAmount) {
        this.expenseAmount = expenseAmount;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public Integer getExpenseCount() {
        if (expenseCount==null)return 0;
        return expenseCount;
    }

    public void setExpenseCount(Integer expenseCount) {
        this.expenseCount = expenseCount;
    }

    public Integer getPeopleCount() {
        if (peopleCount==null)return 0;
        return peopleCount;
    }

    public void setPeopleCount(Integer peopleCount) {
        this.peopleCount = peopleCount;
    }

    public Integer getRejectCount() {
        if (rejectCount==null)return 0;
        return rejectCount;
    }

    public void setRejectCount(Integer rejectCount) {
        this.rejectCount = rejectCount;
    }

    public BigDecimal getPaymentAmount() {
        if (paymentAmount==null)return BigDecimal.ZERO;
        return paymentAmount;
    }

    public void setPaymentAmount(BigDecimal paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    public Integer getNotExamine() {
        if (notExamine==null)return 0;
        return notExamine;
    }

    public void setNotExamine(Integer notExamine) {
        this.notExamine = notExamine;
    }

    public Integer getDays() {
        if (days==null)return 0;
        return days;
    }

    public void setDays(Integer days) {
        this.days = days;
    }
}
